package com.lanyun.wanglaotou.repo

import com.lanyun.net.base.ServiceCreator
import com.lanyun.wanglaotou.service.LoginService
import com.lanyun.wanglaotou.service.NodeService
import com.lanyun.wanglaotou.service.UserInfoService

object HomeRepo {
    /**
     * 检测版本号
     */
    fun getAppVersion(from:String,version:String) =
        ServiceCreator.getService<LoginService>().getAppVersion(from,version)
    /**
     * 获取服务器节点
     */
    fun getServer() =
        ServiceCreator.getService<NodeService>().getNode()

    /**
     * 获取用户信息
     */
    fun getUserInfo() =
        ServiceCreator.getService<UserInfoService>().getUserinfo()

    /**
     * 获取我的订阅信息
     */
    fun getUserSubInfo() =
        ServiceCreator.getService<UserInfoService>().getUserSubInfo()
}